サポート

よくあるご質問

オンラインデモ

テクニカルノート

ZWCAD Classic
マニュアル

トップページ

support
Top page > サポート > テクニカルノート > ワンステップでX、Y座標
ZWCADの小技15

ワンステップでX、Y座標

【概要】

座標軸は、図面における重要な条件の一つです。ZWCADでは、LISPを使用したコマンドによりX、Yの縦座標を同時に置くことができます。

;;(User-defined variable names are boldfaced.)
(defun c:OXY()
(setq pt (getpoint "Input point:\n"))
(setq zg 5); text height is 5)
(setq x (car pt))
(setq y (cadr pt))
(setq xzb (strcat "X="(rtos x 2 2)))
(setq yzb (strcat "Y="(rtos y 2 2)))
(setq num (strlen xzb))
;;(command "text" (list (+ x 2) (+ y 2)) zg "" xzb "")
(command "text" (list (+ x 2) (+ y 2)) zg "" xzb)
(command "pline" (list (+ x 2) y) (list (+ x 2 (* (* zg 0.85) num)) y) "")
;;(command "text" (list (+ x 2) (- y 5.5)) zg "" yzb "")
(command "text" (list (+ x 2) (- y 5.5)) zg "" yzb)
(princ)
)

このコードを使用するために、以下のステップに従ってください

1. Notepadファイルに上記のコードをコピーして、ペーストしてください。

2. ファイル名をOXY.LSP.として保存してください。

3 .LISPプログラムをコマンドapploadを使ってロードしてください。

4. このプログラムを実行してください

Command: oxy

5 .図面の中で点を選んでください。

Input point: (Pick  a point.)

 

このルーチンは5ユニットの固定テキストの高さを使用します。この高さがあまりに高いかあまりに短いならば、以下のコードで数字を修正してください。それから、ZWCADにルーチンを再ロードしてください:

(setq zg 5); テキストの高さ